org.objenesis

## Class ObjenesisSerializer

- java.lang.Object
- - org.objenesis.ObjenesisBase
  - - org.objenesis.ObjenesisSerializer

- All Implemented Interfaces:
    Objenesis

      public class ObjenesisSerializer
      extends ObjenesisBase

  Objenesis implementation using the `SerializingInstantiatorStrategy`.

- - ### Field Summary

    - ### Fields inherited from class org.objenesis.ObjenesisBase

      `cache, strategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjenesisSerializer()` Default constructor using the `SerializingInstantiatorStrategy`
    `ObjenesisSerializer(boolean useCache)` Instance using the `SerializingInstantiatorStrategy` with or without caching `ObjectInstantiator`s

  - ### Method Summary

    - ### Methods inherited from class org.objenesis.ObjenesisBase

      `getInstantiatorOf, newInstance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjenesisSerializer

          public ObjenesisSerializer()

      Default constructor using the `SerializingInstantiatorStrategy`

    - #### ObjenesisSerializer

          public ObjenesisSerializer(boolean useCache)

      Instance using the `SerializingInstantiatorStrategy` with or without caching `ObjectInstantiator`s
      Parameters:
        `useCache` - If `ObjectInstantiator`s should be cached